import { ApiBase } from './ApiBase';
import { AlertApi } from '../AlertApi';
import { AlertDefinition, AlertProperties, AlertState } from '../../AdaptableState/AlertState';
import { AdaptableAlert } from '../../AdaptableState/Common/AdaptableAlert';
import { AdaptableMessageType } from '../../AdaptableState/Common/AdaptableMessageType';
import { AdaptableObjectLookupCriteria } from '../../AdaptableState/Common/AdaptableObject';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { AlertInternalApi } from '../Internal/AlertInternalApi';
import { LayoutExtendedConfig } from '../../AdaptableState/Common/ExtendedLayout';
export declare class AlertApiImpl extends ApiBase implements AlertApi {
    internalApi: AlertInternalApi;
    constructor(_adaptable: IAdaptable);
    getAlertState(): AlertState;
    getAlertDefinitions(config?: LayoutExtendedConfig): AlertDefinition[];
    getSuspendedAlertDefinitions(config?: LayoutExtendedConfig): AlertDefinition[];
    getActiveAlertDefinitions(config?: LayoutExtendedConfig): AlertDefinition[];
    deleteAlertDefinition(alertDefinition: AlertDefinition): void;
    getAlertDefinitionById(id: AlertDefinition['Uuid'], config?: LayoutExtendedConfig): AlertDefinition;
    getAlertDefinitionByName(name: string): AlertDefinition | undefined;
    addAlertDefinition(alertDefinition: AlertDefinition): AlertDefinition;
    displayAdaptableAlert(alertToShow: AdaptableAlert): Promise<void>;
    displayAdaptableAlertNotification(alert: AdaptableAlert): void;
    showAlert(alertHeader: string, alertMessage: string, messageType: AdaptableMessageType, alertProperties?: AlertProperties): Promise<void>;
    showAlertInfo(alertHeader: string, alertMessage: string, alertProperties?: AlertProperties): Promise<void>;
    showAlertSuccess(alertHeader: string, alertMessage: string, alertProperties?: AlertProperties): Promise<void>;
    showAlertWarning(alertHeader: string, alertMessage: string, alertProperties?: AlertProperties): Promise<void>;
    showAlertError(alertHeader: string, alertMessage: string, alertProperties?: AlertProperties): Promise<void>;
    openAlertSettingsPanel(): void;
    editAlertDefinition(alertDefinition: AlertDefinition): AlertDefinition;
    suspendAlertDefinition(alertDefinition: AlertDefinition): AlertDefinition;
    suspendAllAlertDefinition(): void;
    unSuspendAllAlertDefinition(): void;
    unSuspendAlertDefinition(alertDefinition: AlertDefinition): AlertDefinition;
    evaluateAlertDefinitions(alertDefinitions: AlertDefinition[]): void;
    findAlertDefinitions(criteria: AdaptableObjectLookupCriteria): AlertDefinition[];
    private getRelevantColumnIdsForAlertDefinition;
    private createCellDataChangeInfoStubs;
}
